function [BackDataN, BackDataAlpha, BackDataERN]...
    = plot_N_INDv(TH,TH_index,N,NPath,alpha,AlphaPath,ERN,SimERN,MonthWeekEN,MonthWeekJP,WeekNumber,Tdata,linecolor,fs,fs_legend,fn,ft,l,WeekOlympic)
%plot Simulated New Cases
ymax = max(max(N(end-7:end)/7), max(NPath/7,[],'all'))*1.25;
%ymax = max(NPath/7,[],'all')*1.25;
ymin = 0;
%ymin = -200;
fill([Tdata+WeekOlympic+2 Tdata+WeekOlympic+4 Tdata+WeekOlympic+4 Tdata+WeekOlympic+2], [ymin ymin ymax ymax],0.95*[1 1 1]);
hold on
fill([Tdata+WeekOlympic+7 Tdata+WeekOlympic+8 Tdata+WeekOlympic+8 Tdata+WeekOlympic+7], [ymin ymin ymax ymax],0.95*[1 1 1]);
th_wave = 1;
for i = 1:size(TH,1)
    if  sum(TH(i,:) == TH_index(th_wave,:)) == size(TH,2)
        mainplot(i) = plot([N;NPath(:,i)]/7,linecolor{th_wave},'LineWidth',2);
        hold on
        %plot([nan(length(N),1);THonPath(:,i)]/7,linecolor{th_wave},'LineWidth',0.1)
        BackDataN(:,th_wave) = [N(end-7:end);NPath(:,i)];
        BackDataAlpha(:,th_wave) = [alpha(end-7:end);AlphaPath(:,i)];
        BackDataERN(:,th_wave) = [ERN(end-7:end);SimERN(:,i)];
        th_wave = th_wave + 1;
        if th_wave > length(TH_index)
            th_wave = length(TH_index);
        end
    else
        plot([N;NPath(:,i)]/7,'--','LineWidth',0.3)
    end
    hold on
end
plot(N/7,'k','LineWidth',2,'HandleVisibility','off')
xline(Tdata,'LineWidth',1.5,'HandleVisibility','off');
%xline(Tdata+WeekOlympic,'LineWidth',1.5,'HandleVisibility','off');
ylim([ymin ymax]);


ax = gca;
ax.YAxis.FontSize = fs;
ax.XAxis.FontSize = fs;
ax.YAxis.Exponent = 0;
ytickformat('%,6.0f')
xticks(find(WeekNumber==1))
if l == 1
    title('Projected path of new cases','FontSize',fs,'FontWeight','normal')
    xticklabels(MonthWeekEN(WeekNumber==1))
    %xticklabels(datestr(MonthWeekEN(xtick1), 'mmm-yy'))
    legend([mainplot(1),mainplot(2)], 'Baseline','Optimistic','FontSize',fs_legend,'Location','southeast');
elseif l == 2
    title('新規感染者数の推移','FontSize',fs,'FontWeight','normal','FontName',fn)
    xticklabels(MonthWeekJP(WeekNumber==1))
    %legend([mainplot(1),mainplot(2),mainplot(3)], '五輪開催（経済活動0.5pp追加上昇+インド型変異株）','五輪開催（経済活動0.5pp追加上昇）','五輪中止','FontSize',fs_legend,'FontName',fn,'Location','southwest');
    legend([mainplot(1),mainplot(2),mainplot(3)], '五輪開催（経済活動0.5pp追加上昇+インド型変異株）','五輪開催（経済活動0.5pp追加上昇）','五輪中止','FontSize',fs_legend,'FontName',fn,'Location','northeast');
    %legend([mainplot(2),mainplot(4),mainplot(5)], '五輪開催（経済活動0.5pp追加上昇）','五輪開催（経済活動0pp追加上昇）','五輪中止','FontSize',fs_legend,'FontName',fn,'Location','south');
end

xtickangle(45)
xlim([Tdata-7 Tdata+33])
%xlim([Tdata-7 Tdata+52])

